%define	upstream_name	 File-NFSLock
%define	upstream_version 1.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/~bbb/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/B/BB/BBB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
%{upstream_name} perl module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/File/NFSLock.pm
%{_mandir}/man3/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.270.0-4pclos2017
- rebuild against updates

